LPARAMETERS lcHostName, lnPort, lcUserName, lcPassword, lcFileName, lcFileNameUpload
** Pavyzdiniai parametrai:
* m.lcHostName="sftp.example.com"
* m.lnPort=22
* m.lcUserName="myLogin"
* m.lcPassword="myPassword"
* m.lcFileName="c:/tmp/klientai.xls" && Failo takelis ir failo vardas lokaliai
* m.lcFileNameUpload="customers.xls" && Failo takelis ir failo vardas SFTP serveryje

LOCAL loSftp,lcHandle, lcRez

* Sukuriamas SFTP objektas
m.loSftp = chilkat_object("SFTP")

* Nustatomos timeout reikms
m.loSftp.ConnectTimeoutMs = 5000
m.loSftp.IdleTimeoutMs = 10000

* Prisijungiame prie SSH serverio (nurodomas serverio adresas ir portas)
IF m.loSftp.Connect(m.lcHostName,m.lnPort)<>1 THEN
	m.lcRez=ALLTRIM(m.loSftp.LastErrorText)
    RELEASE loSftp
    RETURN l_tek("Klaida: ")+m.lcRez
ENDIF

* Autentifikuojama su SSH serveriu
* Chilkat palaiko prisijungimus slaptaodiu, tiek vieuoju raktu (public-key)
IF m.loSftp.AuthenticatePw(m.lcUserName,m.lcPassword)<>1 THEN
    m.lcRez=ALLTRIM(m.loSftp.LastErrorText)
    RELEASE loSftp
    RETURN l_tek("Klaida: ")+m.lcRez
ENDIF

* Po autentifikacijos, SFTP turi bti inicializuotas
IF m.loSftp.InitializeSftp()<>1 THEN
    m.lcRez=ALLTRIM(m.loSftp.LastErrorText)
    RELEASE loSftp
    RETURN l_tek("Klaida: ")+m.lcRez
ENDIF

* Atidaromas failas raymui  SSH server
* Jei failas egzistuoja, jis bus perraytas
IF TYPE("m.lcFileNameUpload")#"C" OR EMPTY(m.lcFileNameUpload)
	m.lcFileNameUpload=JUSTFNAME(m.lcFileName)
ENDIF
m.lcHandle = m.loSftp.OpenFile(m.lcFileNameUpload,"writeOnly","createTruncate")
IF (m.loSftp.LastMethodSuccess <> 1) THEN
    m.lcRez=ALLTRIM(m.loSftp.LastErrorText)
    RELEASE loSftp
    RETURN l_tek("Klaida: ")+m.lcRez
ENDIF
* keliamas lokalus failas  SSH server
IF m.loSftp.UploadFile(m.lcHandle,m.lcFileName)<>1 THEN
    m.lcRez=ALLTRIM(m.loSftp.LastErrorText)
    RELEASE loSftp
    RETURN l_tek("Klaida: ")+m.lcRez
ENDIF

* Ubaigiamas failo klimas
IF m.loSftp.CloseHandle(m.lcHandle)<>1 THEN
    m.lcRez=ALLTRIM(m.loSftp.LastErrorText)
    RELEASE loSftp
    RETURN l_tek("Klaida: ")+m.lcRez
ENDIF

RELEASE loSftp
RETURN ""
